# Uses of Interface
org.eclipse.birt.chart.model.data.BaseSampleData

Packages that use BaseSampleData
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of BaseSampleData in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return BaseSampleData
Modifier and Type
Method
Description
`BaseSampleData`
BaseSampleData.`copyInstance()`
`BaseSampleData`
DataFactory.`createBaseSampleData()`
Returns a new object of class 'Base Sample Data'.
Methods in org.eclipse.birt.chart.model.data that return types with arguments of type BaseSampleData
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<BaseSampleData>`
SampleData.`getAncillarySampleData()`
Returns the value of the 'Ancillary Sample Data' containment reference list.
`org.eclipse.emf.common.util.EList<BaseSampleData>`
SampleData.`getBaseSampleData()`
Returns the value of the 'Base Sample Data' containment reference list.

## Uses of BaseSampleData in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement BaseSampleData
Modifier and Type
Class
Description
`class`
`BaseSampleDataImpl`
An implementation of the model object ' Base Sample Data'.
Methods in org.eclipse.birt.chart.model.data.impl that return BaseSampleData
Modifier and Type
Method
Description
`BaseSampleData`
BaseSampleDataImpl.`copyInstance()`
`BaseSampleData`
DataFactoryImpl.`createBaseSampleData()`
Methods in org.eclipse.birt.chart.model.data.impl that return types with arguments of type BaseSampleData
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<BaseSampleData>`
SampleDataImpl.`getAncillarySampleData()`
`org.eclipse.emf.common.util.EList<BaseSampleData>`
SampleDataImpl.`getBaseSampleData()`